import { ReportedMetrics } from '../../model/reporting';
import { WavefrontProxyAttributesService } from '../../services/wavefront-proxy-attributes/wavefront-proxy-attributes.service';
import { MetricRecordProcessorService } from '../../services/metric-record-processor/metric-record-processor.service';
export declare class WavefrontProxyCheckinController {
    private readonly wfpAttributes;
    private readonly metricRecordProcessor;
    private logger;
    constructor(wfpAttributes: WavefrontProxyAttributesService, metricRecordProcessor: MetricRecordProcessorService);
    checkIn(query: Record<string, string>, body: ReportedMetrics, headers: Record<string, string>): Record<string, any>;
    private getTags;
    private getValue;
    private findMetrics;
    private getAttributeName;
}
