import { OTSDBLineProcessorService } from '../../services/otsdbline-processor/otsdb-line-processor.service';
import { WavefrontProxyAttributesService } from '../../services/wavefront-proxy-attributes/wavefront-proxy-attributes.service';
import { ConfigService } from '@nestjs/config';
export declare class WavefrontProxyReportController {
    private readonly lineProcessor;
    private readonly wfpAttributes;
    private readonly configuration;
    private logger;
    private debugReportingIngestion;
    private debugReportingIngestionStream;
    constructor(lineProcessor: OTSDBLineProcessorService, wfpAttributes: WavefrontProxyAttributesService, configuration: ConfigService);
    private intializeDebugReportingIngestionStream;
    reportMetrics(headers: Headers, query: string, req: Request): Promise<unknown>;
    debugIngestion(line: string): void;
}
