import { AccumulatedDatapoint, BaseAccumulator } from './dx-accumulator-factory.model';
import { NASS } from 'dx-do';
import MetricRegistration = NASS.MetricRegistration;
export declare class PercentageAccumulator extends BaseAccumulator {
    min: number | undefined;
    max: number | undefined;
    value: number | undefined;
    count: number;
    constructor(dxMetric: MetricRegistration, metricScalar: number);
    reportValue(valueAsString: string): void;
    reset(): void;
    collectAccumulatedDatapoint(): AccumulatedDatapoint;
}
