"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricRecordProcessorServiceMock = void 0;
const common_1 = require("@nestjs/common");
class MetricRecordProcessorServiceMock {
    constructor() {
        this.logger = new common_1.Logger(MetricRecordProcessorServiceMock.name);
        this.recordsProcessed = 0;
        this.logger.log(`${MetricRecordProcessorServiceMock.name} started`);
    }
    reset() {
        this.recordsProcessed = 0;
    }
    processRecord(metricRecord) {
        this.recordsProcessed++;
        this.logger.log(`processed record for ${metricRecord.metric}`);
    }
}
exports.MetricRecordProcessorServiceMock = MetricRecordProcessorServiceMock;
//# sourceMappingURL=metric-record-processor.mock.js.map