"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const main_1 = require("./main");
exports.default = () => ({
    dx: {
        tenantConfigurationFile: main_1.cliOptions
            ? (main_1.cliOptions.dxTenantConfig ?? process.env.DX_TENANT_CONFIG_FILE)
            : process.env.DX_TENANT_CONFIG_FILE,
    },
    adapter: {
        discovery: {
            directory: main_1.cliOptions.discoveryDirectory ??
                process.env.DX_WFP_ADAPTER_DISCOVERY_DIRECTORY ??
                'discovery',
        },
        configurations: {
            directory: main_1.cliOptions.configurationsDirectory ??
                process.env.DX_WFP_ADAPTER_CONFIGURATIONS_DIRECTORY ??
                'configurations',
        },
        debug: {
            debugReportingIngestion: process.env
                .DX_WFP_ADAPTER_DEBUG_REPORTING_INGESTION_FILE
                ? true
                : false,
            debugReportingIngestionFile: process.env.DX_WFP_ADAPTER_DEBUG_REPORTING_INGESTION_FILE,
        },
        defaultMetricType: 8194,
    },
});
//# sourceMappingURL=app.configuration.prod.js.map