import { NASS } from 'dx-do';
import MetricRegistration = NASS.MetricRegistration;
import { Accumulator } from './dx-accumulator-factory.model';
import { MetricConfig } from '../../model/metric-config';
import { DXMetricReporterService } from '../dx-metric-reporter/dx-metric-reporter.service';
export declare class DXAccumulatorFactoryService {
    private readonly dxMetricReporter;
    private accumulatorMap;
    private logger;
    constructor(dxMetricReporter: DXMetricReporterService);
    harvest(): void;
    hasAccumulator(key: string): boolean;
    getAccumulator(key: string): Accumulator;
    createAccumulatorFor(key: string, metricConfig: MetricConfig, dxMetric: MetricRegistration): void;
    instantiateAccumulatorFor(metricConfig: MetricConfig, dxMetric: MetricRegistration): Accumulator;
}
