import { AccumulatedDatapoint, BaseAccumulator } from './dx-accumulator-factory.model';
import { NASS } from 'dx-do';
import MetricRegistration = NASS.MetricRegistration;
export declare class TimestampAccumulator extends BaseAccumulator {
    min: number;
    value: number;
    count: number;
    constructor(dxMetric: MetricRegistration, metricScalar: number);
    reportValue(valueAsString: string): void;
    reset(): void;
    collectAccumulatedDatapoint(): AccumulatedDatapoint;
}
