import { DXMetricDatapoint } from './dx-metric-reporter.model';
import { NassService } from '../nass/nass.service';
export declare class DXMetricReporterService {
    private readonly nass;
    metricIdRegistrationMap: Map<string, string>;
    private logger;
    constructor(nass: NassService);
    reportMetrics(metricDatapoints: DXMetricDatapoint[]): Promise<void>;
    private getMetricRegistrationKey;
    private getRegisteredMetricKey;
}
