import { WaveFrontMetricRecord } from '../../model/reporting';
import { MetricRecordConfigurationService } from '../metric-record-configuration/metric-record-configuration.service';
import { DXMetricProcessorService } from '../dx-metric-processor/dx-metric-processor.service';
export declare class MetricRecordProcessorService {
    private readonly metricRecordConfiguration;
    private readonly dxMetricService;
    private logger;
    constructor(metricRecordConfiguration: MetricRecordConfigurationService, dxMetricService: DXMetricProcessorService);
    processRecord(metricRecord: WaveFrontMetricRecord): void;
}
