"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleNestLog = void 0;
class SimpleNestLog {
    constructor(logger) {
        this.logger = logger;
    }
    debug(message, obj) {
        this.logger.debug(message, obj);
    }
    error(message, obj) {
        this.logger.error(message, obj);
    }
    info(message, obj) {
        this.logger.log(message, obj);
    }
    warn(message, obj) {
        this.logger.warn(message, obj);
    }
}
exports.SimpleNestLog = SimpleNestLog;
//# sourceMappingURL=simple-nest-log.js.map